%define  bootstrap  0

# Allow --with[out] bootstrap at rpm command line build
%{?_without_bootstrap: %{expand: %%define bootstrap 0}}
%{?_with_bootstrap: %{expand: %%define bootstrap 1}}

Name:    xinit
Version: 1.4.1
Release: %mkrel 1
Summary: Initialize an X session
License: MIT
Group:   System/X11
URL:        https://www.x.org/

Source0: https://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.xz

Patch1: xinit-1.0.2-client-session.patch
Patch5: 0003-startx-Make-startx-auto-display-select-work-with-per.patch
Patch50: xinit-1.3.4-startx-arguments.patch
Patch53: xinit-1.0.9-unset.patch
Patch54: xinit-1.3.4-replace-xterm-for-xvt.patch
Patch55: xinit-1.3.2-use-current-vt.patch

BuildRequires: libx11-devel >= 1.0.0
BuildRequires: x11-util-macros >= 1.0.1
Requires:      xinitrc

%if !%{bootstrap}
Requires:      which
%endif


%description
The xinit program is used to start the X Window System server and a first
client program on systems that cannot start X directly from /etc/init or in
environments that use multiple window systems. When this first client exits,
xinit will kill the X server and then terminate.


%prep
%setup -q
%patch1 -p1
%patch5 -p1

# Mga patches:
%patch50 -p1 -b .orig

%patch53 -p1 -b .unset
%patch54 -p1 -b .xvt


%build
autoreconf
%configure2_5x
%make_build XINITDIR=/etc/X11/xinit

%install
rm -rf %buildroot
%make_install

#don't use xorg xinitrc file, use our own, provided by xinitrc package
rm -fr %buildroot{%{_libdir},%{_sysconfdir}}/X11/xinit/xinitrc

%files
%{_bindir}/xinit
%{_bindir}/startx
%if !%{bootstrap}
%endif
%{_mandir}/man1/startx.1*
%{_mandir}/man1/xinit.1*

%changelog
* Mon Dec 05 2022 tex - 1.4.2-1pclos2022
- new version
